Bug 265484 - konqueror crashes when clicking in last entry of the suggestion box in search toolbar
Summary: konqueror crashes when clicking in last entry of the suggestion box in search...
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: searchbarplugin (show other bugs)
Version: 0.0.1
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Arend van Beelen jr.
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-05 04:31 UTC by
Modified: 2011-02-11 01:02 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description 2011-02-05 04:31:43 UTC
Version:           0.0.1 (using Devel) 
OS:                Linux

When using konqueror search toolbar, when entering some text, it popups some suggestions, if the user clicks in the last entry of the suggestion bix, konqueror crashes.

PS: also in suggestion box, when pointing the mouse to one entry end clicking in it will show the upper suggestion and not the one choosed.

Reproducible: Always




OS: Linux (x86_64) release 2.6.36.2-desktop-2mnb
Compiler: gcc
Comment 1 David Faure 2011-02-11 01:02:48 UTC
Git commit 713462a0cda593dd2c85bb0c221aba332f84edff by David Faure.
Committed on 11/02/2011 at 00:57.
Pushed by dfaure into branch 'KDE/4.6'.

Fix many problems in the completion box of the searchbar

* clearSuggestions was crashing to due unexpected reentrancy
(takeItem -> currentTextChanged -> textEdited -> clearSuggestions)
BUG: 265484

* completion box would pop up -after- hitting return, so it would eat
the first click in the webpage
BUG: 231213

* pressing the mouse on a suggestion item would also lead to a text change which
would clear suggestions, hard to use; solved by not doing this while the mouse
button is down. This problem still kind of happens with key down/up, but isn't
solvable under the current KLineEdit logic of "choosing text in completion popup
is equivalent to typing it".

M  +27   -12   konq-plugins/searchbar/searchbar.cpp     
M  +1    -0    konq-plugins/searchbar/searchbar.h     

http://commits.kde.org/kde-baseapps/713462a0cda593dd2c85bb0c221aba332f84edff